## shotman 0.4.10

=== Makefile ===
DESTDIR?=/
PREFIX?=/usr/local

all: build

shotman.1: shotman.1.scd
	scdoc < shotman.1.scd > shotman.1

index.html: shotman.1
	mandoc -T html -O style=man-style.css < shotman.1 > index.html

site.tar.gz: index.html
	#TODO: curl man-style
	tar -cvz index.html man-style.css > site.tar.gz

target/release/shotman:
	cargo build --release --frozen

_shotman.zsh: target/release/shotman
	./target/release/shotman_completions zsh > _shotman.zsh

shotman.bash: target/release/shotman
	./target/release/shotman_completions bash > shotman.bash

shotman.fish: target/release/shotman
	./target/release/shotman_completions fish > shotman.fish

.PHONY: completion
completion: _shotman.zsh shotman.bash shotman.fish

.PHONY: build
build: target/release/shotman shotman.1 completion

.PHONY: install
install: build
	@install -Dm755 target/release/shotman 	${DESTDIR}${PREFIX}/bin/shotman
	@install -Dm644 shotman.1	${DESTDIR}${PREFIX}/share/man/man1/shotman.1
	@install -Dm644 LICENCE.md 	${DESTDIR}${PREFIX}/share/licenses/shotman/LICENCE.md
	@install -Dm644 _shotman.zsh ${DESTDIR}${PREFIX}/share/zsh/site-functions/_shotman
	@install -Dm644 shotman.bash ${DESTDIR}${PREFIX}/share/bash-completion/completions/shotman
	@install -Dm644 shotman.fish ${DESTDIR}${PREFIX}/share/fish/vendor_completions.d/shotman.fish
