## shotman 0.4.7

=== debian/changelog ===
shotman (0.4.7-4) unstable; urgency=medium

  * d/patches/upgrade-smithay-client-toolkit-0.19, Closes: #1099288

 -- Blair Noctis <ncts@debian.org>  Sun, 02 Mar 2025 13:30:49 +0000

shotman (0.4.7-3) unstable; urgency=medium

  * d/patches/relax-deps: update, Closes: #1096214

 -- Blair Noctis <ncts@debian.org>  Tue, 18 Feb 2025 15:06:10 +0000

shotman (0.4.7-2) unstable; urgency=medium

  * d/patches/relax-deps: update

 -- Blair Noctis <ncts@debian.org>  Sun, 19 Jan 2025 16:37:39 +0000

shotman (0.4.7-1) unstable; urgency=medium

  * Initial release, Closes: #1076668

 -- Blair Noctis <ncts@debian.org>  Thu, 02 Jan 2025 05:38:56 +0000
