=== debian/control ===
Source: shotman
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-shell-completions,
 scdoc,
Build-Depends-Arch:
 cargo,
 rustc,
 libxkbcommon-dev,
 librust-anyhow-dev,
 librust-calloop-dev,
 librust-calloop-wayland-source-dev,
 librust-clap-dev,
 librust-futures-channel-dev,
 librust-itertools-dev,
 librust-log-dev,
 librust-memmap2-dev,
 librust-nom-dev,
 librust-png-dev,
 librust-rustix-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-simple-logger-dev,
 librust-smithay-client-toolkit-dev,
 librust-thiserror-dev,
 librust-time-dev,
 librust-wayland-client-dev,
 librust-wayland-protocols-dev,
 librust-wayland-protocols-wlr-dev,
# shotman_completions
 librust-clap-complete-dev,
Maintainer: Blair Noctis <ncts@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/shotman.git
Vcs-Browser: https://salsa.debian.org/debian/shotman
Homepage: https://shotman.whynothugo.nl
Rules-Requires-Root: no

Package: shotman
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 slurp,
Enhances:
 sway,
Description: uncompromising screenshot GUI for Wayland compositors
 Takes a screenshot and shows it in a small floating thumbnail window. The
 screenshot can then be copied with Ctrl-C, deleted with D, or dismissed with
 Esc. It is designed to run in response to some global hotkey (Super-P, PrtScr,
 etc). It is designed for interactive usage.
 .
 Region selection uses slurp. Active window seletion is currently only
 available for sway.
