=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://git.sr.ht/~whynothugo/shotman \
refs/tags/v(\d+\.\d+\.\d+)
