## shotman 0.4.10

=== debian/changelog ===
shotman (0.4.10-1) unstable; urgency=medium

  * New upstream release
  * Dependency: upgrade to rustix 1, Closes: #1110306, #1117773
  * d/rules: silence Makefile mv in case already moved

 -- Blair Noctis <ncts@debian.org>  Thu, 23 Oct 2025 13:11:46 +0000
