=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  librust-smithay-client-toolkit-dev,
  librust-thiserror-dev,
  librust-time-dev,
+ librust-tz-rs-dev,
  librust-wayland-client-dev,
  librust-wayland-protocols-dev,
  librust-wayland-protocols-wlr-dev,
