=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	# Do not use upstream Makefile, as it does not take into account the
 	# difference of build and host architectures, some installs are not wanted,
 	# and some are installed in places other than we prefer.
-	mv Makefile Makefile.upstream
+	-mv Makefile Makefile.upstream
 
 override_dh_auto_build:
 	cargo build $(CARGO_BASE_ARGS)
